package com.hotent.baseInfo.vo;

import com.hotent.util.treeutil.SumTree;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * 监审目录树形结构VO
 *
 * @author 超级管理员
 * @since 2025-01-23
 */
@ApiModel(value = "CatalogTreeVo", description = "监审目录树形结构VO")
public class CatalogTreeVo  extends SumTree {


    @ApiModelProperty(value = "目录编码")
    private String code;

    @ApiModelProperty(value = "目录名称")
    private String catalogName;

    @ApiModelProperty(value = "目录类型：category-类别节点，content-内容节点")
    private String nodeType;

    @ApiModelProperty(value = "状态：1-启用，0-停用")
    private Integer status;

    @ApiModelProperty(value = "监审形式（仅内容有效）")
    private String auditType;

    @ApiModelProperty(value = "定价部门（仅内容有效）")
    private String pricingDept;

    @ApiModelProperty(value = "定价级别")
    private String priceLevel;


    @ApiModelProperty(value = "备注")
    private String remark;


    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }


    public String getPriceLevel() {
        return priceLevel;
    }

    public void setPriceLevel(String priceLevel) {
        this.priceLevel = priceLevel;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getAuditType() {
        return auditType;
    }

    public String getCatalogName() {
        return catalogName;
    }

    public void setCatalogName(String catalogName) {
        this.catalogName = catalogName;
    }

    public String getNodeType() {
        return nodeType;
    }

    public void setNodeType(String nodeType) {
        this.nodeType = nodeType;
    }

    public void setAuditType(String auditType) {
        this.auditType = auditType;
    }

    public String getPricingDept() {
        return pricingDept;
    }

    public void setPricingDept(String pricingDept) {
        this.pricingDept = pricingDept;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

}